"""
Concurrence
Copyright (C) 2005 Daniel Bickett

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
"""

class CStruct:
	pass

# Protocol Version
VERS = '0.0.5'

# Std Error Code
ERROR = '501'

# Client Protocol Codes
client = CStruct()
client.ALIAS = '101'
client.CORRECT_PROTO = '102'
client.REQUEST_USERS = '103'
client.REQUEST_FILES = '104'
client.REQUEST_FILE = '105'
client.REQUEST_LINES = '106'
client.CHANGED_LINE = '107'
client.MODIFICATION = '108'
client.FILE_CHAT = '109'
client.STOP_FILE = '110'
client.DISCONNECT = '111'

# Client Modification Codes
client.mod = CStruct()
client.mod.INSERT = '301'
client.mod.DELETE = '302'

# Server Protocol Codes
server = CStruct()
server.PROTO_VERS = '201'
server.NEW_USER = '202'
server.FILE_CRED = '203'
server.FILE_START = '204'
server.FILE_LINE = '205'
server.FILE_DONE = '206'